Package ru.bitel.bgbilling.modules.voice.common.service

# Interface VoiceDestinationService

    @MTOM(enabled=true,
          threshold=1024)
    public interface VoiceDestinationService

Веб-сервис для работы с направлениями модуля Voice.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `voiceDestinationDelete​(java.util.List<java.lang.Integer> idSet)` | Удаление направления (-ий) по коду.
  `VoiceDestination` | `voiceDestinationGet​(int id)` | Получение одного конкретного направления по его коду.
  `void` | `voiceDestinationList​(int operator, java.lang.String title, javax.xml.ws.Holder<Page> pageHolder, javax.xml.ws.Holder<javax.activation.DataHandler> destinations)` | Получение списка направлений с сортировкой по имени.
  `int` | `voiceDestinationUpdate​(VoiceDestination destination)` | Добавление нового (изменение существующего) направления.

- ## Method Details

  - ### voiceDestinationList

    void voiceDestinationList​(int operator, java.lang.String title, javax.xml.ws.Holder<Page> pageHolder, javax.xml.ws.Holder<javax.activation.DataHandler> destinations) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение списка направлений с сортировкой по имени.
    Parameters:
      `operator` - код оператора
      `title` - название направления или его часть
      `pageHolder` - информация о странице
      `destinations` - список направлений, сериализованных в виде json
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceDestinationGet

    VoiceDestination voiceDestinationGet​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Получение одного конкретного направления по его коду.
    Parameters:
      `id` - код направления.
    Returns:
      направление.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceDestinationUpdate

    int voiceDestinationUpdate​(VoiceDestination destination) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Добавление нового (изменение существующего) направления. Решение о добавлении или изменении существующего принимается исходя из условия id > 0.
    Parameters:
      `destination` - направление
    Returns:
      код вставленной (обновленной) записи.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### voiceDestinationDelete

    int voiceDestinationDelete​(java.util.List<java.lang.Integer> idSet) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Удаление направления (-ий) по коду.
    Parameters:
      `idSet` - список кодов направлений, подлежащих удалению.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`